Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKUnfilteredElement Class Reference

`#include <IWORKUnfilteredElement.h>`

Inheritance diagram for libetonyek::IWORKUnfilteredElement:

## Public Member Functions
| IWORKUnfilteredElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKImageContext
| IWORKImageContext (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | endOfElement () override

## Private Attributes
IWORKMediaContentPtr_t & | m_content

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKImageContext
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKUnfilteredElement()

libetonyek::IWORKUnfilteredElement::IWORKUnfilteredElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content
| ) |  |

## Member Function Documentation

## ◆ endOfElement()

void libetonyek::IWORKUnfilteredElement::endOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKUnfilteredElement::m_content
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKUnfilteredElement.h
- IWORKUnfilteredElement.cpp